#include <iostream>
#include <iomanip>

using namespace std;

int main()
{
    int N = 0;
    static int zaradaFrilensera[200000] = { 0 };
    static double prihvatljivProcenat[200000] = { 0.000 };
    double drzavnaZarada = 0.000;
    double maxDrzavnaZarada = 0.000;

    cin >> N;

    for (int i = 0; i < N; i++)
    {
        cin >> zaradaFrilensera[i] >> prihvatljivProcenat[i];
    }

    for (int i = 0; i < N; i++)
    {
        for (int j = 0; j < N; j++)
        {
            if (prihvatljivProcenat[i] <= prihvatljivProcenat[j])
            {
                drzavnaZarada = drzavnaZarada + prihvatljivProcenat[i] * zaradaFrilensera[j] / 100;
            }
        }
        if (maxDrzavnaZarada < drzavnaZarada) maxDrzavnaZarada = drzavnaZarada;
        drzavnaZarada = 0;
    }


    cout << fixed << setprecision(4) << maxDrzavnaZarada;
}